f



[ace-users] ACE/TAO 6.1.0 vs. Oracle Solaris Studio 12.3

Has anyone built ACE/TAO 6.1.0 on Solaris with Oracle Solaris Studio =
12.3?

I can't even get past the very first file!

--
solaris10{cmbld}% which cc
/opt/solarisstudio12.3/bin/cc
solaris10{cmbld}% which CC
/opt/solarisstudio12.3/bin/CC
solaris10{cmbld}% which f77
/opt/solarisstudio12.3/bin/f77

solaris10{cmbld}% cat build_ACE_Solaris10_sun-solaris10.log=20
gmake[1]: Entering directory =
`/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace'

GNUmakefile: =
/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace/GNUmake=
file.ACE MAKEFLAGS=3Dw

CC -mt -xO4 -g -library=3DCstd   -DACE_HAS_KSTAT =
-DACE_HAS_CUSTOM_EXPORT_MACROS=3D0 -D_POSIX_PTHREAD_SEMANTICS   =
-I/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src =
-DACE_HAS_SCTP -DACE_HAS_LKSCTP -DACE_NO_INLINE -I.. -DACE_BUILD_DLL  -c =
-KPIC -o .shobj/Local_Name_Space.o Local_Name_Space.cpp

=
"/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace/Array_=
Map.h", line 105: Error: Too few arguments for template =
std::reverse_iterator<std::_Iterator, std::_Category, std::_Tt, =
std::_Reference, std::_Pointer, std::_Distance>.

=
"/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace/Servic=
e_Repository.h", line 193:     Where: While specializing =
"ACE_Array_Map<unsigned, const ACE_Service_Type*, =
std::equal_to<unsigned>>".
=
"/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace/Servic=
e_Repository.h", line 193:     Where: Specialized in non-template code.

=
"/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace/Array_=
Map.h", line 105: Error: Too few arguments for template =
std::reverse_iterator<std::_Iterator, std::_Category, std::_Tt, =
std::_Reference, std::_Pointer, std::_Distance>.

=
"/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace/Servic=
e_Repository.h", line 193:     Where: While specializing =
"ACE_Array_Map<unsigned, const ACE_Service_Type*, =
std::equal_to<unsigned>>".
=
"/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace/Servic=
e_Repository.h", line 193:     Where: Specialized in non-template code.

2 Error(s) detected.
gmake[1]: *** [.shobj/Local_Name_Space.o] Error 2
gmake[1]: Leaving directory =
`/long/path/to/ACE_wrappers/v6.1.0/sun-solaris10.Studio12.3/src/ace'
gmake: *** [ACE] Error 2
--

I tried a "make -k" but while lots of files compile fine it kept
gagging in a similar fashion on many other files ... I guess somewhere
along the line Studio 12.x changed some behavior with Templates.

	- Greg

0
Greg
4/2/2012 8:19:50 AM
comp.soft-sys.ace 20326 articles. 1 followers. marlow.andrew (167) is leader. Post Follow

0 Replies
785 Views

Similar Articles

[PageSpeed] 23

Reply:

Similar Artilces:

[ace-users] ACE SSL build errors on Ubuntu 12.10 with ACE+TAO version 6.1.0
I'm not sure if this is a bug or not, however, the last time it poped up in= the email list history was in 2007. I'm getting a bug in compiling ACE wit= h SSL in my environment. Initially, I installed the ACE libraries and dev e= nvironment for Ununtu 12.10, along with the OpenSSL libraries. My intent wa= s to start playing around with an ACE based SSL web client. When the librar= ies shipped with this version of Ubuntu started wigging out in the HTTPS_Se= ssion area, I figured that this was just the builders bad form for not runn= ing the ACE tests. So, off I went to build ACE, with SSL. Currently, ace without SSL builds fine, but as soon as I add in the ssl=3D1= to the make line, I get linker errors. Looking at the source code, this ap= pears to be some kind of confusion over defines in the ssl.h file belonging= to the OpenSSL package. Anyway, here's the PRF: ACE VERSION: 6.1.0 HOST MACHINE and OPERATING SYSTEM: Ubuntu 12.10 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: Same COMPILER NAME AND VERSION (AND PATCHLEVEL): gcc 4.7.2 THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: ace/config-linux.h THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, simply state which one (unless this isn't used in this case, e.g., with Microsoft Visual C+...

[ace-users] ACE SSL build errors on Ubuntu 12.10 with ACE+TAO version 6.1.0
--14dae9340cc3f8a4c204d496c32b Content-Type: text/plain; charset=windows-1252 Content-Transfer-Encoding: quoted-printable I'm not sure if this is a bug or not, however, the last time it poped up in the email list history was in 2007. I'm getting a bug in compiling ACE with SSL in my environment. Initially, I installed the ACE libraries and dev environment for Ununtu 12.10, along with the OpenSSL libraries. My intent was to start playing around with an ACE based SSL web client. When the libraries shipped with this version of Ubuntu started wigging out in the HTTPS_Session area, I figured that this was just the builders bad form for not running the ACE tests. So, off I went to build ACE, with SSL. Currently, ace without SSL builds fine, but as soon as I add in the ssl=3D1 to the make line, I get linker errors. Looking at the source code, this appears to be some kind of confusion over defines in the ssl.h file belonging to the OpenSSL package. Anyway, here's the PRF: ACE VERSION: 6.1.0 HOST MACHINE and OPERATING SYSTEM: Ubuntu 12.10 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: Same COMPILER NAME AND VERSION (AND PATCHLEVEL): gcc 4.7.2 THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: ace/config-linux.h THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file...

[tao-users] Use of TAO_OutputCDR and ACE_Message_Block in CORBA::Any from TAO 1.4.1|ACE 5.4.1 to TAO2.2.0|ACE 6.2.0
This is a multipart message in MIME format. ------=_NextPart_000_00BF_01CEA8D4.9E005C80 Content-Type: text/plain; charset="iso-8859-1" Content-Transfer-Encoding: quoted-printable TAO VERSION: 2.2.0 ACE VERSION: 6.2.0 =20 HOST MACHINE and OPERATING SYSTEM: x86_64 and Red Hat - Linux 2.6.18-194.26.1.el5 =20 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: =20 COMPILER NAME AND VERSION (AND PATCHLEVEL): gcc (GCC) 4.8.1 =20 THE $ACE_ROOT/ace/config.h FILE: config-linux.h =20 THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE: platform_linux.GNU =20 CONTENTS OF $ACE_ROOT/bin/MakeProjectCreator/config/default.features (used by MPC when you generate your own makefiles): =20 AREA/CLASS/EXAMPLE AFFECTED: TAO_OutputCDR and ACE_Message_Block. =20 DOES THE PROBLEM AFFECT: EXECUTION. My application is affected. =20 SYNOPSIS: The code that extract data from CORBA::Any using TAO_OutputCDR and ACE_Message_Block for user defined types works properly in the old platform (TAO 1.4.1|ACE 5.4.1), but not in the new one(ACE 6.2.0). =20 DESCRIPTION: The code in the =93REPEAT BY=94 section works fine in the old platform = for user defined types, that is, the TAO_OutputCDR and ACE_Message_Block objects have the same length, but in the new platform th...

[ace-users] ACE 6.0.1 and TAO 2.0.1 RPMs available
Hi all, ACE 6.0.1 and TAO 2.0.1 RPMs are now available at OpenSuSE build service. OBS provides currently RPMs for: - CentOS 5 - Fedora 12/13/14 - Mandriva 2009.1/2010/2010.1 - RHEL 4/5/6 - SLES 9/11/11SP1 - OpenSuSE 11.1/11.2/11.3/Factory Regards, Johnny Willemsen Remedy IT Check our scoreboard at http://scoreboard.theaceorb.nl/ ...

[ace-users] ACE+TAO+CIAO
Hi all, We are pleased to announce the latest ACE+TAO+CIAO beta. This beta has been tagged ACE+TAO+CIAO-5_5_6. The main difference between this release and x.5.5 is that the ACE exception macros (except for ACE_THROW_RETURN and ACE_THROW_SPEC) have been removed from all TAO and CIAO code. It is available from the same download location as per the previous release. http://download.dre.vanderbilt.edu/ The doxygen documentation for the beta is also available. Included with this beta, besides the packages combined of sources and generate makefiles, we also provide source only pac...

RE: [ace-users] ACE+TAO+CIAO
Hi, Please use the prf form and which configuration you build. I personally think you have an old version of ACE/TAO on the system that is used. Regards, Johnny > -----Original Message----- > From: owner-ace-users@cse.wustl.edu > [mailto:owner-ace-users@cse.wustl.edu] On Behalf Of Domingos Monteiro > Sent: donderdag 9 juni 2005 18:05 > To: Simon McQueen > Cc: ace-users@cs.wustl.edu > Subject: Re: [ace-users] ACE+TAO+CIAO - 5.4.6 + 1.4.6 + 0.4.6 released > > Hi, > > I've just dowloaded this version > I've started to compile...

[ace-users] ACE 5.3
------=_Part_17_4772698.1129705681813 Content-Type: text/plain; charset=ISO-8859-1 Content-Transfer-Encoding: quoted-printable Content-Disposition: inline Hi I am trying to build ACE 5.3 - TAO 1.3 on AIX 5.3 with compiler Visual Age Version 7.0. Do you already know some issues in above combination? Whether some one is already using above combination? Regards Praveen Gulati ------=_Part_17_4772698.1129705681813 Content-Type: text/html; charset=ISO-8859-1 Content-Transfer-Encoding: quoted-printable Content-Disposition: inline <font size=3D"2"> <...

RE: [ace-users] ACE 5.3
Hi, 5.3 is ancient, visual age 7 is brand new, I don't think anyone is using this and you problaby will find issues because this is not tested. Regards, Johnny Willemsen Remedy IT Postbus 101 2650 AC Berkel en Rodenrijs The Netherlands www.theaceorb.nl / www.remedy.nl > -----Original Message----- > From: owner-ace-users@cse.wustl.edu > [mailto:owner-ace-users@cse.wustl.edu] On Behalf Of Praveen > Kumar Gulati > Sent: woensdag 19 oktober 2005 9:08 > To: ace-users@cs.wustl.edu > Subject: [ace-users] ACE 5.3 - TAO 1.3 on AIX 5.3 with > c...

RE: [ace-users] ACE 5.3
This is a multi-part message in MIME format. ------=_NextPart_000_01BC_01C5D46D.2EF26B10 Content-Type: text/plain; charset="us-ascii" Content-Transfer-Encoding: quoted-printable Hi Praveen, =20 Riverace will have an AIX 5.3/Visual Age 7 machine running next week. We have a sponsor for porting ACE 5.4 to the platform. If you'd like to sponsor us porting back to ACE 5.3, please let me know. =20 Best regards, =20 -Steve -- Steve Huston, Riverace Corporation "How to Use ACE Effectively" class Oct 17-19! See http://www.riverace.com/training.htm -...

[ace-users] ACE 6.2.0/6.2.2 bult with XL C/C++ v 12.1 on AIX71 or XL C/C++ v 9.0 on AIX61
--_000_80317163A516B94B988E1615F9FAFB1989DFE22Cotwlxg22opentex_ Content-Type: text/plain; charset="us-ascii" Content-Transfer-Encoding: quoted-printable To: ace-bugs@list.isis.vanderbilt.edu<mailto:ace-bugs@list.isis.vanderbilt.= edu>; ace-users@list.isis.vanderbilt.edu<mailto:ace-users@list.isis.vanderb= ilt.edu>; Subject: [area]: [synopsis] ACE VERSION: 6.2.2 HOST MACHINE and OPERATING SYSTEM: AIX71 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: config.h -> config-aix-7.h THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, simply state which one (unless this isn't used in this case, e.g., with Microsoft Visual C++)]: platform_aix_ibm.GNU CONTENTS OF $ACE_ROOT/bin/MakeProjectCreator/config/default.features (used by MPC when you generate your own makefiles): AREA/CLASS/EXAMPLE AFFECTED: DOES THE PROBLEM AFFECT: COMPILATION? NO LINKING? YES/NO On Unix systems, did you run make realclean first? YES EXECUTION? YES OTHER (please specify)? [Please indicate whether ACE, your application, or both are affected.] SYNOPSIS: Numerous symbols searched for by an application are not foun...

[ace-users] Re: ACE/TAO build problems on Solaris 2.8 using gcc 3.3.6
Hi Neal, >> I am trying to build ACE-5.5 and TAO-1.5 on a SPARC Solaris 2.8 system >> using gcc 3.3.6 and GNU make 3.80. >> >> The build is failing in ACE_wrappers/build/TAO/orbsvcs/orbsvcs (output >> included below) and I was wondering if anyone had any suggestions as to >> what the problem may be. >> >> What is puzzling to me is that the lines in question are all comment >> lines. For example the "01.ps" invalid token on line 15 of >> CosProperty.idl is from the following comment line: >> >> //...

Re: [ace-users] [tao-users] ACE/TAO ported to Sun Studio 12
Hi, > is this change included in the official release of ACT/TAO (and if yes > since which version)? This change will be part of the upcoming x.6.2 version. I am creating x.6.2 at this moment, when everything runs fine it will be available at the end of today. Regards, Johnny Willemsen Remedy IT Postbus 101 2650 AC Berkel en Rodenrijs The Netherlands www.theaceorb.nl / www.remedy.nl *** Integrated compile and test statistics see http://scoreboard.theaceorb.nl *** *** Commercial service and support for ACE/TAO/CIAO *** *** See http://www.theaceorb....

[ace-users] RE: ACE/TAO build problems on Solaris 2.8 using gcc 3.3.6 #2
Hi, > -----Original Message----- > From: Douglas C. Schmidt [mailto:schmidt@cse.wustl.edu] > Sent: Monday, March 27, 2006 9:09 AM > To: nealweston@bellsouth.net; ace-users@cs.wustl.edu; > parsons@dre.vanderbilt.edu > Subject: Re: ACE/TAO build problems on Solaris 2.8 using gcc 3.3.6 > > Hi Neal, > > >> I am trying to build ACE-5.5 and TAO-1.5 on a SPARC > Solaris 2.8 system > >> using gcc 3.3.6 and GNU make 3.80. > >> > >> The build is failing in > ACE_wrappers/build/TAO/orbsvcs/orbsvcs (output > ...

[ace-users] ACE/TAO 6.3.3/2.3.3 RPMs available!
Hi, We have uploaded the new micro release to OpenSuSE Build Service which now provides RPMs for this new micro release. For more details see ORBzone.org at http://www.orbzone.org/node/387 Best regards, Johnny Willemsen Remedy IT Looking for support and consultancy related to ACE/TAO, see http://www.theaceorb.nl! ...

[ace-announce] ACE 6.0.1 and TAO 2.0.1 RPMs available
Hi all, ACE 6.0.1 and TAO 2.0.1 RPMs are now available at OpenSuSE build service. OBS provides currently RPMs for: - CentOS 5 - Fedora 12/13/14 - Mandriva 2009.1/2010/2010.1 - RHEL 4/5/6 - SLES 9/11/11SP1 - OpenSuSE 11.1/11.2/11.3/Factory Regards, Johnny Willemsen Remedy IT Check our scoreboard at http://scoreboard.theaceorb.nl/ ...

[ace-bugs] Re: [ace-users] ACE+TAO+CIAO
Hi Folks, Thanks again to everyone from the DOC group and the ACE+TAO+CIAO user communities who helped get the x.3.6 beta out the door. As Bala mentioned, it's really important to get your feedback before we release the ACE+TAO+CIAO x.4 release since that will become the baseline for the next round of commercially supported products. I know it's a busy time of year for lots of people, but we'd really appreciate your help testing this beta to ensure that the forthcoming official x.4 release will work well on as many platforms as possible! Thanks very much, Doug ...

[ace-bugs] Re: [ace-users] build ACE with gcc 3.4.1 on Solaris 8
Hi Paul, >> Has anyone built ACE library with gcc 3.4.1 on Solaris 8? We've got Solaris 8 on our scoreboard at http://www.dre.vanderbilt.edu/scoreboard/ but it's running gcc 3.3, not 3.4.1. >> We have some problems with 5.4 and now I am thinking of giving >> 5.4.2 a try. Please try 5.4.2 and let us know what problems you're having. Ossama, do we have a 3.4.1 build anywhere? Thanks, Doug -- Dr. Douglas C. Schmidt, Professor TEL: (615) 343-8197 Electrical Engineering and Computer Science FAX: (615) 343-7440 Vanderbil...

[tao-users] ACE 6.0.1 and TAO 2.0.1 RPMs available
Hi all, ACE 6.0.1 and TAO 2.0.1 RPMs are now available at OpenSuSE build service. OBS provides currently RPMs for: - CentOS 5 - Fedora 12/13/14 - Mandriva 2009.1/2010/2010.1 - RHEL 4/5/6 - SLES 9/11/11SP1 - OpenSuSE 11.1/11.2/11.3/Factory Regards, Johnny Willemsen Remedy IT Check our scoreboard at http://scoreboard.theaceorb.nl/ ...

Re: [ace-users] Building ACE+TAO x.6.4 with MFC using VS 9.0
Hi, Thanks for using the PRF form > TAO VERSION: 1.6.4 > ACE VERSION: 5.6.4 >=20 > HOST MACHINE and OPERATING SYSTEM: WinXP SP2 (Home Ed) >=20 > COMPILER NAME AND VERSION (AND PATCHLEVEL): MS VC++ 9.0(.21022.8), > .NET Framework 3.5, 2008 SDK >=20 > DESCRIPTION: >=20 > I'm trying to run ACE_Init_Test, which only does something useful if > ACE_HAS_MFC is defined. The TAO FAQ suggests I should #define it (as > a non-zero integer, I assume) in config.h, which I've done, but the > compiler produces the following error: >...

Re: [ace-users] Building ACE+TAO x.6.4 with MFC using VS 9.0 #2
Hi Folks, The following posting is courtesy of Simon Massey. Thanks, Doug > Subject: RE: Building ACE+TAO x.6.4 with MFC using VS 9.0 > Date: Thu, 15 May 2008 04:09:01 -0400 > From: "Simon Massey" <Simon.Massey@prismtech.com> > To: "Johnny.Willemsen" <jwillemsen@remedy.nl>, > <> > Cc: <ace-users@cs.wustl.edu> > > As far as I know, if you define an microsoft MFC project, i.e. an application that IS an MFC application, that MWC/MPC project should include ace_mfc as a base project, eith...

[ace-users] Re: a little bug of ACE-5.4.1+TAO-1.4.1+CIAO-0.4.1.tar.gz
Hi Adam, Please upgrade to ACE+TAO x.4.8, which you can download from http://deuce.doc.wustl.edu/Download.html under the heading "latest beta kit". The DOC groups at Washington University, UC Irvine, and Vanderbilt University only provide "best effort" support for non-sponsors for the latest beta kit, as described in http://www.cs.wustl.edu/~schmidt/ACE_wrappers/docs/ACE-bug-process.html Thus, if you need more "predictable" help for ACE 5.4.1, I recommend that you check out http://www.cs.wustl.edu/~schmidt/commercial-support.html for a li...

[ace-announce] ACE+TAO+CIAO
Hi all, We are pleased to announce the latest ACE+TAO+CIAO beta. This beta has been tagged ACE+TAO+CIAO-5_5_6. The main difference between this release and x.5.5 is that the ACE exception macros (except for ACE_THROW_RETURN and ACE_THROW_SPEC) have been removed from all TAO and CIAO code. It is available from the same download location as per the previous release. http://download.dre.vanderbilt.edu/ The doxygen documentation for the beta is also available. Included with this beta, besides the packages combined of sources and generate makefiles, we also provide source only p...

[ace-users] Re: [tao-support] Has ACE 5.4.4/TAO 1.4.4 been built with gcc 4.0.0 yet
Hi Robert, > When building ACE 5.4.4/TAO 1.4.4 using gcc 4.0.0 under fedora core > 4 test 2 on an x86 platform I get a lot of errors mainly to do with > template instantiations. Has anyone successfully build TAO/ACE using > the latest gcc ? We just added GCC 4.0.0 support to ACE+TAO recently. The forthcoming x.4.5 beta should work nicely with GCC 4.0.0. We hope to have this available very shortly (there's just one remaining snag with typecodes that should be fixed in the next day or so). If you'd like to give things a try before we release x.4.5 please download the contents of ACE+TAO from our CVS repo at http://cvs.doc.wustl.edu/ and see if it works for you on your platform. If not, please let us know and we'll try to make sure that it's working before we put out the beta release. Thanks, Doug I've tried the CVS version on macosx 10.4, with gcc4.0 and still got the same intantiation problem. On 5/9/05, Douglas C. Schmidt <schmidt@cs.wustl.edu> wrote: > > Hi Robert, > > > When building ACE 5.4.4/TAO 1.4.4 using gcc 4.0.0 under fedora core > > 4 test 2 on an x86 platform I get a lot of errors mainly to do with > > template instantiations. Has anyone successfully build TAO/ACE using > > the latest gcc ? > > We just added GCC 4.0.0 support to ACE+TAO recently. The forthcoming > x.4.5 beta should work nicely with GCC 4.0.0. We hope to ha...

[tao-users] RE: [ace-users] ACE/TAO on Solaris 10
Hi, There have been some replies. People do have things working on Solaris and there have been made fixes in ACE/TAO. Could you wait another week or so and try the x.4.8 or try cvs, see http://cvs.doc.wustl.edu Regards, Johnny Willemsen Remedy IT Postbus 101 2650 AC Berkel en Rodenrijs The Netherlands www.theaceorb.nl / www.remedy.nl > Dear list members, > > (I sent this message couple of days ago and am unsure if it > was distributed, > thus re-sending it again. I apologize if you received it more > than once) > > I would like to give ...

Web resources about - [ace-users] ACE/TAO 6.1.0 vs. Oracle Solaris Studio 12.3 - comp.soft-sys.ace

Samsung Galaxy Ace 4 User Reviews
Samsung Galaxy Ace 4 reviews written by Phone Arena users. You can read the opinion of each user and how they rate the phone in 11 categories. ...

Samsung Galaxy Ace 3 official: iPhone-alike size for the new user
Samsung has revealed another in its Galaxy series, the Galaxy Ace 3, now targeting entry-level smartphone users who want a pocket-friendly 4-inch ...

Resources last updated: 3/4/2016 3:28:52 PM